package cert

import "time"

// Entry is the main struct for stored certificates
type Entry struct {
	ID            int       `xorm:"pk autoincr"`
	Domains       string    `xorm:"notnull"`
	Certificate   string    `xorm:"text notnull"`
	PrivateKey    string    `xorm:"text notnull"`
	AuthURL       string    `xorm:"notnull"`
	ValidityBegin time.Time `xorm:"notnull"`
	ValidityEnd   time.Time `xorm:"notnull"`
	Created       time.Time `xorm:"created notnull"`
	Updated       time.Time `xorm:"updated notnull"`
}
